import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungOutputKursZuSchiene extends JavaObject {
    enmRevision: number;
    kurs: number;
    schienen: Array<number>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungOutputKursZuSchiene;
    static transpilerToJSON(obj: KursblockungOutputKursZuSchiene): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungOutputKursZuSchiene>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungOutputKursZuSchiene(obj: unknown): KursblockungOutputKursZuSchiene;
